import { PreferenceProxy, PreferenceSchema, PreferenceService } from '@theia/core/lib/browser/preferences';
import { interfaces } from '@theia/core/shared/inversify';
export declare const WORKSPACE_TRUST_ENABLED = "security.workspace.trust.enabled";
export declare const WORKSPACE_TRUST_STARTUP_PROMPT = "security.workspace.trust.startupPrompt";
export declare const WORKSPACE_TRUST_EMPTY_WINDOW = "security.workspace.trust.emptyWindow";
export declare enum WorkspaceTrustPrompt {
    ALWAYS = "always",
    ONCE = "once",
    NEVER = "never"
}
export declare const workspaceTrustPreferenceSchema: PreferenceSchema;
export interface WorkspaceTrustConfiguration {
    [WORKSPACE_TRUST_ENABLED]: boolean;
    [WORKSPACE_TRUST_STARTUP_PROMPT]: WorkspaceTrustPrompt;
    [WORKSPACE_TRUST_EMPTY_WINDOW]: boolean;
}
export declare const WorkspaceTrustPreferenceContribution: unique symbol;
export declare const WorkspaceTrustPreferences: unique symbol;
export declare type WorkspaceTrustPreferences = PreferenceProxy<WorkspaceTrustConfiguration>;
export declare function createWorkspaceTrustPreferences(preferences: PreferenceService, schema?: PreferenceSchema): WorkspaceTrustPreferences;
export declare function bindWorkspaceTrustPreferences(bind: interfaces.Bind): void;
//# sourceMappingURL=workspace-trust-preferences.d.ts.map