import URI from '@theia/core/lib/common/uri';
import { EnvVariablesServer } from '@theia/core/lib/common/env-variables';
import { FileStat } from '@theia/filesystem/lib/common/files';
import { MaybePromise } from '@theia/core';
export declare const THEIA_EXT = "theia-workspace";
export declare const VSCODE_EXT = "code-workspace";
/**
 * @deprecated since 1.4.0 - because of https://github.com/eclipse-theia/theia/tree/master/doc/coding-guidelines.md#di-function-export,
 * use `WorkspaceService.getUntitledWorkspace` instead
 */
export declare function getTemporaryWorkspaceFileUri(envVariableServer: EnvVariablesServer): Promise<URI>;
export declare class CommonWorkspaceUtils {
    /**
     * Check if the file should be considered as a workspace file.
     *
     * Example: We should not try to read the contents of an .exe file.
     */
    isWorkspaceFile(candidate: FileStat | URI): boolean;
    isUntitledWorkspace(candidate?: URI): boolean;
    getUntitledWorkspaceUri(configDirUri: URI, isAcceptable: (candidate: URI) => MaybePromise<boolean>, warnOnHits?: () => unknown): Promise<URI>;
}
//# sourceMappingURL=utils.d.ts.map